低危 grafana grafana 在web页面生成时对输入的转义处理不恰当(跨站脚本)

CVE编号

CVE-2020-24303

利用情况

暂无

补丁情况

官方补丁

披露时间

2020-10-29
漏洞描述
Grafana是Grafana实验室的一套提供可视化监控界面的开源监控工具。该工具主要用于监控和分析Graphite、InfluxDB和Prometheus等。

Grafana 7.1.0-beta 1之前版本存在跨站脚本漏洞。攻击者可通过ElasticSearch数据源的查询别名利用该漏洞进行跨站脚本攻击。
解决建议
目前厂商已发布升级补丁以修复漏洞,补丁获取链接:
https://github.com/grafana/grafana/blob/master/CHANGELOG.md#710-beta-1-2020-07-01
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 grafana grafana * Up to
(including)
7.0.5
运行在以下环境
系统 centos_8 grafana * Up to
(excluding)
7.3.6-2.el8
运行在以下环境
系统 oracle_8 grafana * Up to
(excluding)
7.3.6-2.el8
运行在以下环境
系统 redhat_8 grafana-debuginfo * Up to
(excluding)
7.3.6-2.el8
运行在以下环境
系统 ubuntu_8 grafana * Up to
(excluding)
7.3.6-2.el8
阿里云评分
3.3
  • 攻击路径
    本地
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    N/A
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    传输被破坏
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-79 在Web页面生成时对输入的转义处理不恰当(跨站脚本)
阿里云安全产品覆盖情况